<?php
header('Content-Type: text/event-stream; charset=utf-8');
header('Cache-Control: no-cache');
/* VARS
---------------------------------------- */
$eventsFile = 'events.log';
$lastEventFile = 'lastEvent-center.data';
$settingsFile = 'settings.json';

// get settings
$settingsStr = file_get_contents( $settingsFile );
$settingsObj = json_decode( $settingsStr );

//$lastEventFired = $settingsObj->options->lastEventFired;
$lastEventFired = file_get_contents( $lastEventFile );


/* MAIN
---------------------------------------- */


// load event data into array
$lines = file( $eventsFile );
$count = count( $lines );

if( $count > $lastEventFired ){
	for($i = $lastEventFired; $i < $count; $i++){
		echo "id: $count\n";
		echo "data: {$lines[$i]}\n\n";
	}

	file_put_contents($lastEventFile,$count);
	
	flush();
}


/* FUNCTIONS
---------------------------------------- */

function updateSetting($setting,$value){
	// vars
	global $settingsFile, $settingsObj;
	
	// modify setting
	$settingsObj->options->$setting = $value;
	
	// collapse into string
	$write = json_encode($settingsObj);
	
	// write to file
	file_put_contents($settingsFile,$write);
}


?>